Subject: bug#44664: 28.0.50; troubles with some chars in term

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Nov 2020 08:51:31 +0100

Eli Zaretskii <[email-masked]> writes:

> I think ideally we should make each character as wide as char-width
> says it should be, because a well-behaved text-mode application is
> supposed to arrange text according to that.

Ah, right, yes -- looking at the mutt example, the Korean characters are
(exactly) double width, so that seems like the way to go.

> It should be easy to do that, but I'm afraid we will bump into
> characters whose char-width is 1, but which are much wider on display.
> I don't know what to do in that case.

You mean they are so wide that compressing them will make them illegible?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no